%define name	nimuh
%define version 1.02
%define release %mkrel 1
%define	Summary	A puzzle game destined to improve the knowledge of Andalusia

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Url:            http://www.nimuh.com/
License:        CC-by-nc-sa 2.5 Spain
Group:          Games/Logic
Requires:       %{name}-data = %{version}
BuildRequires:  SDL-devel SDL_mixer-devel SDL_image-devel gcc-c++ make
BuildRequires:  libexpat0-devel libmesagl1-devel libmesaglu1-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Nimuh is a game under Creative Commons license and ambiented in Andalusia. A
game based in "Theseus and the Minotaur Mazes" that will go through different
ansalusian locations.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{name}" \
needs="x11" \
section="Games/Logic" \
icon="%{name}.png" \
title="Nimuh" \
longtitle="%{Summary}" \
xdg="true"
EOF

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Nimuh
GenericName[es]=Nimuh, en busca del tesoro andaluz
GenericName[en]=Nimuh, searching for the andalusian treasure
Comment=%{Summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

%clean
%{__rm} -rf "${RPM_BUILD_ROOT}"

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop


%changelog
* Sun Feb 17 2008 P. K. Frederic <pkfric@yahoo.com> 1.02-1pclos2007
- first RPM for PCLinuxOS imported from  cmorve69@yahoo.es

